package com.yonge.cooleshow.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 网络教室房间(ImNetworkRoom)表实体类
 *
 * @author zx
 * @since 2022-03-30 16:36:36
 */
@ApiModel(value = "im_network_room-网络教室房间")
public class ImNetworkRoom implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("room_id_")
    @ApiModelProperty(value = "房间编号;")
    private String roomId;

    @TableField("course_schedule_id_")
    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @TableField("display_")
    @ApiModelProperty(value = "用于移动端房间渲染")
    //type 1老师0助教
    private String display = "";

    @TableField("sound_volume_")
    @ApiModelProperty(value = "伴奏音量")
    private Integer soundVolume = 100;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间;")
    private Date createTime;

    public Integer getSoundVolume() {
        return soundVolume;
    }

    public void setSoundVolume(Integer soundVolume) {
        this.soundVolume = soundVolume;
    }

    public String getDisplay() {
        return display;
    }

    public void setDisplay(String display) {
        this.display = display;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

